package com.ejweb.modules.reportAttachment.dao;

import com.ejweb.core.persistence.CrudDao;
import com.ejweb.core.persistence.annotation.MyBatisDao;
import com.ejweb.modules.reportAttachment.entity.ReportAttachment;
@MyBatisDao
public interface ReportAttachmentMapper extends CrudDao<ReportAttachment> {
    int deleteByPrimaryKey(String id);

    int insert(ReportAttachment record);

    int insertSelective(ReportAttachment record);

    ReportAttachment selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(ReportAttachment record);

    int updateByPrimaryKey(ReportAttachment record);
}